:root {
    --violet-color: #be087e;
    --blue-color: #28a8df;
    --green-color: #3aa935;
    --orange-color: #f39b00;
}

#footer {
    background-color: #333333;
}

.footer-container li a,
#footer h3,
#footer .h3,
#block_myaccount_infos .myaccount-title a,
.block-contact .block-contact-title {
    color: #efefef;
}

.thumbnail-container {
    box-shadow: 0 0 11px -6px rgba(66, 68, 90, 1);
}

#contact-infos {
    color: #efefef;
}

.ui-autocomplete-input {
    background-color: white !important;
    border: 2px solid #333333 !important;
}

.variants-list {
    border-radius: 5px;
    box-shadow: inset 0 0 20px -17px rgba(66, 68, 90, 1);
    margin: 7px;
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: 150px;
}

.variants-list div {
    height: 100%;
}

.variants-list p {
    margin: 0;
}

.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important
}

.justify-content-center {
    -webkit-box-pack: center !important;
    -ms-flex-pack: center !important;
    justify-content: center !important
}

.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important
}

.align-items-start {
    -webkit-box-align: start !important;
    -ms-flex-align: start !important;
    align-items: flex-start !important
}

.flex-column {
    -webkit-box-orient: vertical !important;
    -webkit-box-direction: normal !important;
    -ms-flex-direction: column !important;
    flex-direction: column !important
}

.justify-content-start {
    -webkit-box-pack: start !important;
    -ms-flex-pack: start !important;
    justify-content: flex-start !important
}

#spinner-front {
    height: 100vh;
    width: 100vw;
    background-color: #ffffff;
    z-index: 1000;
    top: 0;
    left: 0;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.spinner-loader {
    display: grid;
    grid-template-columns: 50px 50px;
    grid-row: auto;
    grid-column-gap: 5px;
    grid-row-gap: 5px;
    margin-bottom: 20px;
}

.spinner-loader-NE {
    background-color: var(--violet-color);
    height: 20px;
    width: 10px;
    position: relative;
}

.spinner-loader-NE:before {
    content: "";
    background-color: var(--violet-color);
    height: 10px;
    width: 50px;
    top: 0;
    left: 0;
    position: absolute;
}

.spinner-loader-NE:after {
    content: "";
    background-color: var(--violet-color);
    height: 50px;
    width: 10px;
    top: 0;
    left: 40px;
    position: absolute;
}

.spinner-loader-NE div {
    background-color: var(--violet-color);
    height: 10px;
    left: 10px;
    position: absolute;
    top: 40px;
    width: 40px;
}

.spinner-loader-NE div:after {
    content: "";
    background-color: var(--violet-color);
    height: 20px;
    left: 0;
    position: absolute;
    top: -10px;
    width: 10px;
}

.spinner-loader-SW {
    background-color: var(--blue-color);
    height: 50px;
    width: 10px;
    position: relative;
}

.spinner-loader-SW:before {
    content: "";
    background-color: var(--blue-color);
    height: 10px;
    left: 0;
    position: absolute;
    top: 0;
    width: 50px;
}

.spinner-loader-SW:after {
    content: "";
    background-color: var(--blue-color);
    height: 10px;
    left: 0;
    position: absolute;
    top: 40px;
    width: 50px;
}

.spinner-loader-SW div {
    content: "";
    background-color: var(--blue-color);
    height: 30px;
    left: 40px;
    position: absolute;
    top: 20px;
    width: 10px;
}

.spinner-loader-SE {
    background-color: var(--green-color);
    height: 50px;
    width: 10px;
    top: 0;
    left: 40px;
    position: relative;
}

.spinner-loader-SE:after {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: 50px;
    height: 10px;
    left: -40px;
    top: 40px;
}

.spinner-loader-SE:before {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: 20px;
    height: 10px;
    left: -20px;
    top: 0;
}

.spinner-loader-SE div {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: 10px;
    height: 20px;
    left: -40px;
    top: 20px;
}

.spinner-loader-SE div:after {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: 20px;
    height: 10px;
    left: 0;
    top: 0;
}


.spinner-loader-NW {
    background-color: var(--orange-color);
    height: 50px;
    width: 10px;
    position: relative;
}

.spinner-loader-NW:before {
    content: "";
    background-color: var(--orange-color);
    height: 10px;
    left: 0;
    position: absolute;
    top: 40px;
    width: 50px;
}

.spinner-loader-NW:after {
    content: "";
    background-color: var(--orange-color);
    height: 10px;
    left: 0;
    position: absolute;
    top: 0;
    width: 50px;
}

.spinner-loader-NW div {
    background-color: var(--orange-color);
    height: 20px;
    left: 40px;
    position: absolute;
    top: 0;
    width: 10px;
}

.spinner-loader-NW div:after {
    content: "";
    background-color: var(--orange-color);
    height: 20px;
    left: 0;
    position: absolute;
    top: 30px;
    width: 10px;
}

.spinner-item {
    animation: pulse 2s linear infinite;
}

@keyframes pulse {
    0% {
        transform: scale(1, 1);
    }
    25% {
        transform: scale(0.8, 0.8);
    }
    50% {
        transform: scale(0.5, 0.5);
    }
    75% {
        transform: scale(0.8, 0.8);
    }
    100% {
        transform: scale(1, 1);
    }
}

#spinner-text {
    text-transform: uppercase;
}

.hide {
    display: none !important;
}

.collapse {
    max-height: 200px;
    overflow-x: hidden;
}

.faceted-slider {
    min-height: 50px;
}

.ui-slider-horizontal {
    width: 96%;
}

.color-palette {
    padding-top: 30px;
    padding-bottom: 30px;
    /*width: 100%;*/
}

.color-palette p {
    text-align: center;
}

.color-palette img {

    width: 100%;
    border-radius: 5px;
}

.item-color-picker {
    margin-bottom: 10px;
    position: relative;
    display: flex;
    width: 100%;
    height: 100px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
    -webkit-transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
    cursor: pointer;
    /*justify-content: center;*/
    align-items: center;
    flex-direction: column;
}

.item-color-picker::after {
    content: "";
    border-radius: 5px;
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    opacity: 0;
    -webkit-transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
    transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);
}

.item-color-picker:hover {
    /*-webkit-transform: scale(1.25, 1.25);*/
    transform: scale(1.25, 1.25);
    z-index: 10;
}

.item-color-picker:hover::after {
    opacity: 1;
}

.color-selected {
    outline: 4px solid var(--blue-color);
    outline-offset: -3px;
}

.add {
    position: relative;
}

.add-to-cart-alert {
    top: -45px;
    color: red;
    text-align: center;
    border: 2px solid;
    cursor: pointer;
    width: 300px;
}

.faceted-overlay {
    display: none !important;
}

#selected-color img {
    outline: none;
    border-radius: 5px;
}

#selected-color {
    margin-bottom: 5px;
}

.product-tag {
    color: #ffffff;
    background-color: var(--orange-color);
    border-radius: 15px;
    margin: 0.5rem;
    padding: 0.5rem;
    font-weight: bold;
}

.product-tag-container {
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    position: relative;
    flex-wrap: wrap;
}

.product-description tr:nth-child(even) {
    background: var(--blue-color);
}

.product-description tr:hover:nth-child(+n +2) p {
    text-decoration: underline;
    font-weight: bold;
}

.product-description tr:nth-child(even) p {
    color: #fff;
    font-weight: bold;
}

.product-description td p {
    margin: 0.5rem;
    text-align: center;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--orange-color);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: var(--green-color);
}

#search_filters .ui-widget-header {
    background: var(--orange-color) !important;
}

.wishlist-button-add:hover {
    opacity: 0.7;
    background-color: var(--violet-color);
    color: white;
}

.wishlist-button-add i {
    color: unset !important;
}

.btn-primary {
    background-color: var(--blue-color);
    transition: 0.5s;
}

.btn-primary:hover {
    background-color: var(--green-color);
}

.view_all_link {
    background-color: var(--blue-color);
    color: white;
    transition: 0.5s;
}

.view_all_link:hover {
    background-color: var(--green-color) !important;
    color: white !important;
}

.product-customization-line-color {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
}

.label-color {
    font-size: 0.875rem;
    color: var(--blue-color);
}

.lazy-img {
    width: 32px !important;
    height: 32px;
}

#selected-color img {
    width: 150px;
}

.tabs, .product-cover, .searchbar-autocomplete {
    box-shadow: 0 0 5px 0 rgb(0 0 0 / 11%);
}

@media screen and (max-width: 767px) {
    #search_widget {
        max-width: 100%;
    }
}

@media screen and (min-width: 768px) {
    #search_widget {
        position: absolute;
        top: 0;
        right: 0;
    }
}

.product-miniature .regular-price, .product-discount {
    color: var(--orange-color);
}

.product-miniature .price, .has-discount.product-price {
    color: var(--green-color);
}

.product-flags li.product-flag.discount, .has-discount .discount {
    background-color: var(--green-color);
    border-radius: 255px 75px 225px 75px / 75px 225px 75px 255px;
}

#header a:hover {
    color: var(--violet-color);
}

#header .top-menu a[data-depth="0"]:hover, a:hover {
    color: var(--violet-color);
    text-decoration: none;
}

.product-miniature .highlighted-informations .quick-view:hover {
    color: var(--violet-color);
}

.featured-products .all-product-link:hover {
    color: var(--violet-color);
}

.variant-links .color:hover {
    border: 2px solid var(--green-color);
}

label .color {
    width: 5.125rem;
    height: 5.125rem;
    border-radius: 75px 255px 75px 225px / 225px 75px 255px 75px;
}

.input-color:checked + span, .input-color:hover + span {
    border: 3px solid var(--violet-color);
    border-radius: 75px 255px 75px 225px / 225px 75px 255px 75px;
}

#header a:focus, #header .dropdown-item:focus, a:focus {
    text-decoration: none;
    outline: none;
}

#_desktop_logo {
    margin-bottom: 10px;
}

.tabs .nav-tabs .nav-link.active {
    border: 0;
    border-bottom: var(--blue-color) 3px solid;
}

.tabs .nav-tabs .nav-link.active, a, .account-list a:hover, .footer-container li a:hover {
    color: var(--blue-color);
}

a.text-primary, i.wishlist-add-to-new {
    color: var(--blue-color) !important;
}

a.text-primary:hover, .wishlist-add-to-new:hover i {
    color: var(--green-color) !important;
}

#footer .wishlist-list .wishlist-list-item p {
    color: black;
}

#header .header-nav .cart-preview.active {
    background-color: var(--blue-color)
}

/*LOGO*/

:root {
    --square-height: 2rem;
    --square-width: var(--square-height);
    --line-weight: calc(var(--square-height) * 0.2);
}

#logo-gd {
    display: flex;
    flex-direction: column;
    margin-bottom: 5px;
    align-items: center;
    width: fit-content;
}

@media screen and (max-width: 767px) {
    .hide-mobile-sm {
        display: none;
    }

    #logo-link-gd {
        width: 100%;
    }
    #logo-gd {
        width: auto;
    }
}

.logo-underline {
    width: calc(var(--square-height) * 9);
    background: var(--orange-color);
    height: 2px;
    margin: calc(var(--square-height) / 8);
}

.logo-up {
    display: flex;
}

@media screen and (max-width: 575px) {
    .logo-up {
        display: none;
    }
}

#logo-link {
    text-decoration: none;
    color: inherit;
    display: block;
}

.logo-loader {
    display: grid;
    grid-template-columns: var(--square-height) var(--square-width);
    grid-row: auto;
    grid-column-gap: 5px;
    grid-row-gap: 5px;
}

.logo-loader-NE {
    background-color: var(--violet-color);
    height: calc(var(--square-height) * 0.4);
    width: var(--line-weight);
    position: relative;
}

.logo-loader-NE:before {
    content: "";
    background-color: var(--violet-color);
    height: var(--line-weight);
    width: var(--square-width);
    top: 0;
    left: 0;
    position: absolute;
}

.logo-loader-NE:after {
    content: "";
    background-color: var(--violet-color);
    height: var(--square-height);
    width: var(--line-weight);
    top: 0;
    left: calc(var(--square-width) - var(--line-weight));
    position: absolute;
}

.logo-loader-NE div {
    background-color: var(--violet-color);
    height: var(--line-weight);
    left: var(--line-weight);
    position: absolute;
    top: calc(var(--square-height) - var(--line-weight));
    width: calc(var(--square-width) - var(--line-weight));
}

.logo-loader-NE div:after {
    content: "";
    background-color: var(--violet-color);
    height: calc(var(--square-height) * 0.4);
    left: 0;
    position: absolute;
    top: calc((var(--square-height) * 0.4 - var(--line-weight)) * -1);
    width: var(--line-weight);
}

.logo-loader-SW {
    background-color: var(--blue-color);
    height: var(--square-height);
    width: var(--line-weight);
    position: relative;
}

.logo-loader-SW:before {
    content: "";
    background-color: var(--blue-color);
    height: var(--line-weight);
    left: 0;
    position: absolute;
    top: 0;
    width: var(--square-width);
}

.logo-loader-SW:after {
    content: "";
    background-color: var(--blue-color);
    height: var(--line-weight);
    left: 0;
    position: absolute;
    top: calc(var(--square-height) - var(--line-weight));
    width: var(--square-width);
}

.logo-loader-SW div {
    content: "";
    background-color: var(--blue-color);
    height: calc(var(--square-height) * 0.6);
    left: calc(var(--square-width) - var(--line-weight));
    position: absolute;
    top: calc(var(--square-height) * 0.4);
    width: var(--line-weight);
}

.logo-loader-SE {
    background-color: var(--green-color);
    height: var(--square-height);
    width: var(--line-weight);
    top: 0;
    left: calc(var(--square-width) - var(--line-weight));
    position: relative;
}

.logo-loader-SE:after {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: var(--square-width);
    height: var(--line-weight);
    left: calc((var(--square-height) - var(--line-weight)) * -1);
    top: calc(var(--square-height) - var(--line-weight));
}

.logo-loader-SE:before {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: calc(var(--square-width) * 0.6);
    height: var(--line-weight);
    left: calc(var(--square-width) * -0.6);
    top: 0;
}

.logo-loader-SE div {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: var(--line-weight);
    height: calc(var(--square-height) * 0.6);;
    left: calc((var(--square-height) - var(--line-weight)) * -1);
    top: calc(var(--square-height) * 0.4);
}

.logo-loader-SE div:after {
    content: "";
    background-color: var(--green-color);
    position: absolute;
    width: calc(var(--square-width) * 0.4);;
    height: var(--line-weight);
    left: 0;
    top: 0;
}


.logo-loader-NW {
    background-color: var(--orange-color);
    height: var(--square-height);
    width: var(--line-weight);
    position: relative;
}

.logo-loader-NW:before {
    content: "";
    background-color: var(--orange-color);
    height: var(--line-weight);
    left: 0;
    position: absolute;
    top: calc(var(--square-height) - var(--line-weight));
    width: var(--square-width);
}

.logo-loader-NW:after {
    content: "";
    background-color: var(--orange-color);
    height: var(--line-weight);
    left: 0;
    position: absolute;
    top: 0;
    width: var(--square-width);
}

.logo-loader-NW div {
    background-color: var(--orange-color);
    height: calc(var(--square-height) * 0.4);
    left: calc(var(--square-width) - var(--line-weight));
    position: absolute;
    top: 0;
    width: var(--line-weight);
}

.logo-loader-NW div:after {
    content: "";
    background-color: var(--orange-color);
    height: calc(var(--square-height) * 0.4);
    left: 0;
    position: absolute;
    top: calc(var(--square-height) - (var(--square-height) * 0.4));
    width: var(--line-weight);
}

.logo-text {
    height: 50%;
    display: flex;
    align-items: center;
    /*font-size: var(--square-height);*/
    text-transform: uppercase;
    color: black
}

.logo-text-gd {
    font-family: "Google Sans", sans-serif;
}

.logo-text-gd-up {
    font-size: calc(var(--square-height) * 1.5);
}

.logo-text-gd-down {
    font-size: var(--square-height);
}

.logo-link-text {
    font-size: calc(var(--square-height) / 2);
}

.color-pick{
    display: block;
    width: 140px;
    height: 70px;
    border-radius: 5px
}

/*.logo-item {*/
/*    animation: pulse 2s linear infinite;*/
/*}*/